Bug 611066 - (perl-B-Compiling) Review Request: perl-B-Compiling - Expose PL_compiling to perl
Review Request: perl-B-Compiling - Expose PL_compiling to perl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/B-Compiling/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 07:48 EDT by Iain Arnell
Modified: 2013-05-07 16:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-B-Compiling-0.02-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 20:53:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-07-03 07:48:48 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-B-Compiling.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-B-Compiling-0.02-1.fc14.src.rpm

Description:
This module exposes the perl interpreter's PL_compiling variable to perl.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2291992

*rt-0.10_01
Comment 1 Parag AN(पराग) 2010-07-16 03:31:27 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2323514 
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
6a6d82747fbddb575f9729eb891ffbe8ab793123  B-Compiling-0.02.tar.gz
6a6d82747fbddb575f9729eb891ffbe8ab793123  B-Compiling-0.02.tar.gz.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=5,  1 wallclock secs ( 0.01 usr  0.02 sys +  0.06 cusr  0.02 csys =  0.11 CPU)
+ Package perl-B-Compiling-0.02-1.fc14.x86_64  =>
Provides: perl(B::Compiling) = 0.02
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) perl(B) perl(strict) perl(Sub::Exporter) perl(warnings) perl(XSLoader) rpmlib(VersionedDependencies) <= 3.0.3-1 rtld(GNU_HASH)

+ Not a GUI application

Suggestions
If package is imported for F-13 and above then please follow
1) buildroot should be removed
2) %clean not needed
3) cleaning of buildroot at start of %install also not needed 

APPROVED.
Comment 2 Iain Arnell 2010-07-16 04:06:13 EDT
New Package CVS Request
=======================
Package Name: perl-B-Compiling
Short Description: Expose PL_compiling to perl
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2010-07-16 13:36:55 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Fedora Update System 2010-07-17 01:54:54 EDT
perl-B-Compiling-0.02-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-B-Compiling-0.02-2.fc13
Comment 5 Fedora Update System 2010-07-17 01:55:00 EDT
perl-B-Compiling-0.02-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-B-Compiling-0.02-1.fc12
Comment 6 Iain Arnell 2010-07-17 01:59:16 EDT
Imported to rawhide and F-13 with a modernized spec.

Thanks for the review.
Comment 7 Fedora Update System 2010-08-02 20:53:35 EDT
perl-B-Compiling-0.02-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-08-02 21:13:55 EDT
perl-B-Compiling-0.02-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Andrea Veri 2013-05-07 15:49:46 EDT
Package Change Request
======================
Package Name: perl-B-Compiling
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 10 Gwyn Ciesla 2013-05-07 16:07:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.